DB Manager: add and edit table: several issues with data types
Status: Open

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23791

Description

In create table:

    -  field types are limited; in particular, timestamptz is missing

    -  SRID has to be entered by hand; the projection widget should be added

In edit table:

    -  Table properties -> Field properties: the field `Length` appears wrong; for geom it shows `geomtype,srid`, for varchar(255) and

others, adding a length will cause an error:

ALTER TABLE "public"."buffer_union" ALTER "round" TYPE varchar(255) (24)

length has to be entered by hand changing varchar(255) into e.g. varchar(20)

In general, the interface should be cleaned up.

History

#1 - 2017-05-01 01:02 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2018-02-24 04:26 PM - Paolo Cavallini

- Description updated

Still true in QGIS 3

#3 - 2018-02-24 05:04 PM - Giovanni Manghi

- Affected QGIS version changed from master to 3.0.0

Please update the affected version.

#4 - 2019-03-09 03:12 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
#5 - 2019-03-09 03:33 PM - Giovanni Manghi

- Resolution deleted (end of life)

- Status changed from Closed to Open
